OGRE: Ogre::SceneQueryListener Class Reference - OGRE Documentation

# Ogre::SceneQueryListener Class Reference

This optional class allows you to receive per-result callbacks from SceneQuery executions instead of a single set of consolidated results. More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::SceneQueryListener:

[legend]

List of all members.

## Public Member Functions
virtual | ~SceneQueryListener ()
virtual bool | queryResult (MovableObject *object)=0
| Called when a MovableObject is returned by a query.
virtual bool | queryResult (SceneQuery::WorldFragment *fragment)=0
| Called when a WorldFragment is returned by a query.

## Detailed Description

This optional class allows you to receive per-result callbacks from SceneQuery executions instead of a single set of consolidated results.

Remarks:
  You should override this with your own subclass. Note that certain query classes may refine this listener interface.

Definition at line 181 of file OgreSceneQuery.h.

## Constructor & Destructor Documentation

virtual Ogre::SceneQueryListener::~SceneQueryListener | ( |  | ) | `[virtual]`

Definition at line 184 of file OgreSceneQuery.h.

## Member Function Documentation

virtual bool Ogre::SceneQueryListener::queryResult | ( | MovableObject * | object | ) | `[pure virtual]`

Called when a MovableObject is returned by a query.

Remarks:
  The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Implemented in Ogre::SceneManager::ShadowCasterSceneQueryListener, and Ogre::RegionSceneQuery.

virtual bool Ogre::SceneQueryListener::queryResult | ( | SceneQuery::WorldFragment * | fragment | ) | `[pure virtual]`

Called when a WorldFragment is returned by a query.

Remarks:
  The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Implemented in Ogre::SceneManager::ShadowCasterSceneQueryListener, and Ogre::RegionSceneQuery.

The documentation for this class was generated from the following file:

- OgreSceneQuery.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:36:28 2009